"{ Package: 'stx:goodies/xtreams/terminals/tests' }"

"{ NameSpace: Xtreams }"

FiniteReadingWritingTests subclass:#RingBufferReadingWritingTest
	instanceVariableNames:'buffer'
	classVariableNames:''
	poolDictionaries:''
	category:'Xtreams-Terminals-Tests'
!


!RingBufferReadingWritingTest methodsFor:'initialize-release'!

setUp

	buffer := RingBuffer on: (ByteArray new: 8192).
	input := buffer reading.
	output := buffer writing.
! !

!RingBufferReadingWritingTest methodsFor:'tests - core'!

testReadWriteLargeAmount
	
	"does not work on limited size ring buffer"
! !

!RingBufferReadingWritingTest methodsFor:'tests - transforming'!

testWriteCollectingMultipleBufferSize

	"does not work on limited size ring buffer"
! !

!RingBufferReadingWritingTest class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
!

version_SVN
    ^ '$Id$'
! !

